gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gdk::PixbufError Class Reference

Exception class for Gdk::Pixbuf errors. More...

`#include <gdkmm/pixbuf.h>`

Inheritance diagram for Gdk::PixbufError:
[legend]

## Public Types
enum | Code { CORRUPT_IMAGE, INSUFFICIENT_MEMORY, BAD_OPTION, UNKNOWN_TYPE, UNSUPPORTED_OPERATION, FAILED }

## Public Member Functions
| PixbufError (Code error_code, const Glib::ustring& error_message)
| PixbufError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Exception
virtual Glib::ustring | what () const =0

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Member Enumeration Documentation

enum Gdk::PixbufError::Code

Enumerator
CORRUPT_IMAGE |
INSUFFICIENT_MEMORY |
BAD_OPTION |
UNKNOWN_TYPE |
UNSUPPORTED_OPERATION |
FAILED |

## Constructor & Destructor Documentation

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gdk::PixbufError::PixbufError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gdk::PixbufError::code | ( |  | ) | const